Subject: Fw:Re:Re: bug#8685: semanticdb-find-translate-path-default: Wrong type argument: stringp, nil

From: sss <[email-masked]>
Date: Thu, 19 May 2011 11:08:44 +0800 (CST)

-------- Forwarding messages --------
From: sss <[email-masked]>
Date: 2011-05-19 05:53:39
To: "Stefan Monnier" <[email-masked]>
Subject: Re:Re: bug#8685: semanticdb-find-translate-path-default: Wrong type argument: stringp, nil

At 2011-05-18 08:37:08，"Stefan Monnier" <[email-masked]> wrote:

>>>>>> When I type 'C-c , J' (semantic-ia-fast-jump) in a buffer (c-mode,
>>>>>> with file tree.def from GCC source tree), I get the
>>>>>> following message.
>>>> sorry, it's semantic-complete-jump.
>>> Can you give a concise recipe starting from "emacs -Q"?
>> emacs -Q
>> C-x C-f tree.def
>> semantic-mode
>> C-c , J
>> got message:
>> semanticdb-find-translate-path-default: Wrong type argument: stringp, nil
>
>Hmm... I just tried on Emacs's src/regex.c file and can't reproduce
>this problem.  Does it happen for any/most C-mode files?

no, 

maybe some special c files with complex marco definition, such as *.def file in gcc.

e.g. gimple.def sent as attachments.

>
>Can you try "rm -rf ~/.emacs.d/semanticdb" to make sure the bug is not
>in some corrupted file in there?
>
>>>>> With which version of Emacs and/or CEDET?
>>>> emacs trunk, almost newest revision (timestamp: Tue 2011-05-17
>>>> 14:47:55 +0200)
>>> Can you reproduce the problem with Emacs-23.3?
>> same with emacs trunk
>> I also try emacs-23.2.1 built by gentoo.
>> 'C-c , j' works, but 'C-c , J' does not work, even after 'C-c , j'
>
>So the problem is not new in Emacs-24?  Then I'll let Eric take over
>from here: it doesn't seem to be due to my lexical-scoping patches.
>
>
>        Stefan